SCRIPT(1)()

NOM
script - Faire une transcription d'une session d'un terminal.

SYNOPSIS
script [-a] [-c commande] [-e] [-f] [-q] [-t[=fichier]] [-V] [-h] [fichier]

DESCRIPTION
script fait une transcription de tout ce qui est affiché sur le terminal. C'est utile pour des étudiants qui ont besoin de la sauvegarde d'une session interactive comme preuve des travaux, le fichier de transcription pouvant être ensuite imprimé avec lpr(1).

Si le paramètre fichier est fourni, script sauvegarde toutes les conversations dans le fichier. Si aucun nom de fichier n'est fourni, la transcription est sauvegardée dans le fichier typescript.

OPTIONS

-a, - -append
    Ajouter la transcription à la fin du fichier ou de typescript, en conservant le contenu du fichier.

-c, - -command commande
    Exécuter la commande plutôt qu'un interpréteur de commandes interactif. Cela permet facilement de capturer la sortie d'un programme qui se comporterait différemment si sa sortie est un terminal ou non.

-e, - -return
    Renvoyer le code de retour du processus fils. Le format utilisé est le même que celui de sortie de bash quand le code de retour est 128+n.

-f, - -flush
    Forcer l'écriture de la sortie après chaque demande d'écriture. C'est pratique pour une coopération à distance : une personne exécute « mkfifo toto; script -f toto » et une autre peut superviser en temps réel ce qui se passe avec « cat toto ».

- -force
    Permettre à la destination par défaut, c'est-à-dire le fichier typescript, d'être un lien direct ou symbolique. La commande suivra le lien symbolique.

-q, - -quiet
    Pas de sortie.

-t, - -timing[=fichier]
    Ajouter des informations temporelles sur la sortie d'erreur, ou vers le fichier donné. Ces informations contiennent deux champs séparés par des espaces. Le premier champ indique le temps passé depuis la dernière sortie. Le second champ indique combien de caractères ont été sortis cette fois-ci. Ces informations peuvent être utilisées pour rejouer une transcription avec des délais de temps de frappe et de sortie réalistes.

-V, - -version
    Afficher les informations sur la version et quitter.

-h, - -help
    Afficher l'aide puis quitter.

script s'arrête quand l'interpréteur de commande exécuté quitte (un control-D permet de quitter l'interpréteur de commandes de type Bourne shell (sh(1)), et exit, logout ou control-d (si ignoreeof n'est pas positionnée) pour les interpréteurs de commandes de type C-shell, csh(1)).

Certaines commandes interactives, comme vi(1), créent des parasites dans le fichier de transcription. script fonctionne mieux avec les commandes qui ne manipulent pas l'écran, les résultats cherchent à émuler un terminal brut.

ENVIRONNEMENT
Les variables d'environnement suivantes sont utilisées par script :

SHELL
    Si la variable d'environnement SHELL existe, l'interpréteur de commandes exécuté par script (avec fork), sera cet interpréteur de commandes. Si SHELL n'est pas positionnée, il supposera que ce doit être l'interpréteur de commandes de type Bourne shell (la plupart des interpréteurs de commande positionnent cette variable automatiquement).

VOIR AUSSI
csh(1) (pour le mécanisme d'historique), scriptreplay(1).

HISTORIQUE
La commande script est apparue dans BSD 3.0.

BOGUES
script place tout dans le fichier journal, donc les retours à la ligne et les caractères d'effacement arrière. Ce n'est pas ce à quoi un utilisateur pourrait naïvement s'attendre.

DISPONIBILITÉ
La commande script fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.